#!/bin/sh
# we want to copy from a package directory, but we
# don't know it's name, because the version number
# might have changed.
# Package name may be given as argument, defaults to timon
FULLPATH=$(pwd)
CURDIR=$(echo $FULLPATH | sed -e "s|.*/||")
if test "$CURDIR" = "bin" ; then
	PATHPREFIX='../'
else
	PATHPREFIX=''
fi

if test -z "$1" ; then
	PN=timon
else
	PN=$1
fi

UNPACKDIR=$(ls -d1 ${PATHPREFIX}unpack/$PN* | sed -e "/\\.tgz/d")

if ! test -d "$UNPACKDIR" ; then
	echo "directory "$UNPACKDIR" not found"
	exit 1
fi

#echo $UNPACKDIR

if ! cp -fr $UNPACKDIR/* ${PATHPREFIX}. ; then
	exit 1
fi

# Version number might have changed, let's see

OLDVERSION=$(ls -d1 ${PATHPREFIX}../$PN* | sed \
	-e "/$PN-[0-9]\\.[0-9][0-9]*\\.[0-9]/!d")
OLDSHORT=$(echo "$OLDVERSION" | sed -e "s|\\.\\./||g")
NEWSHORT=$(echo "$UNPACKDIR" | sed -e "s|.*/||g")

if test "$OLDSHORT" != "$NEWSHORT" ; then
	# version changed, rename directory
	mv "$OLDVERSION" ${PATHPREFIX}../$NEWSHORT
	rm -f ${PATHPREFIX}../$PN
	ln -s ${PATHPREFIX}../$NEWSHORT ${PATHPREFIX}../$PN
fi

