.TH TIMON 1 "2004-01-06" "timon Version 0.2.2"
.SH NAME
timon \- Interactive time accounting and billing
.SH SYNOPSIS
.B timon
[
.B serverhost
[
.B username
[
.B password
] ] ]
.br
.B timon \-h
|
.B \-\-help
|
.B \-V
|
.B \-\-version
.SH DESCRIPTION
Administration of time and expenses for multiple projects and clients. This
is a simple system with few bells and whistles.
.B timon
is implemented as an interactive shell script providing access to any local
or remote MySQL database. Dialog boxes are generated on the ASCII screen.
.LP
.B timon
needs a running
.B mysqld
daemon on 
.B mysqlhost
to connect to. Use MySQL Ver. 3.23.40 or better. Any existing local 
.B ".my.cnf "
file will take effect (in fact
.B timon
is using standard MySQL clients to make the connection).
.B timon
should start easily as soon as you can connect using your local
.B mysql
client.
.SH OPTIONS
No arguments must be given on the command line to connect to a local 
or remote SQL server. Serverhost, username and password are taken from 
.B "$(HOME)/.my.cnf".
Optional arguments are necessary to connect to any SQL server
not specified in .my.cnf.
.TP
.B serverhost
Any hostname or fully qualified domain name of a host
running a 
.B mysqld 
MySQL database server.
.TP
.B username
This name will be used to connect to the server.
.TP
.B password
Password used to connect to the database.
.B Note:
In most cases no password must be given. It will be read from
.B .my.cnf
or from
.B ~/.timon.rc.
.TP
.B \-h \-\-help \-V \-\-version
These options all have the same effect: a short message is displayed showing
the version number and a guideline how to invoke
.B timon.
.SH FILES
.TP 24
.I $HOME/.timon.rc
Each user's personal configuration file;
.TP 24
.I /usr/local/bin/timon
Executable shell script;
.TP 24
.I /usr/local/share/timon
Directory for keeping printing templates, scripts to generate
tables and other support files.
.TP 24
.I /usr/share/info
Directory to keep
.I timon.info.gz
help file. May be set differently in Makefile. This should be the same
directory as the one with your
.I mysql.info.gz
MySQL manual.
.SH DIAGNOSTICS
.B timon
tries to catch some errors.
.SH BUGS
Probably quite a few (let me <thomas@spahni.ch> know of any you can find).
.TP
timon code is still alpha. Underlying MySQL is stable 
(unless you pick a development version).
.SH AUTHOR
Thomas G. Spahni <thomas@spahni.ch>
.LP
