#
# this table defines error codes
#
DROP TABLE IF EXISTS errors;
#
CREATE TABLE IF NOT EXISTS errors (
  errorcode TINYINT UNSIGNED DEFAULT 0 NOT NULL,
  errorset TINYINT UNSIGNED DEFAULT 0 NOT NULL,
  errortext CHAR(64) DEFAULT '' NOT NULL,
  PRIMARY KEY (errorcode)
) TYPE = MYISAM;

INSERT INTO errors VALUES
  ( 1,0,'Unknown staff member'),
  (10,0,'Invalid date: day out of range'),
  (11,0,'Invalid date: month out of range'),
  (12,0,'Invalid date: year out of range'),
  (13,0,'Invalid date: year not in Gregorian calendar'),
  (21,0,'Ambiguous client'),
  (22,0,'Unknown client'),
  (30,0,'Undefined project: <cancel> and define a project'),
  (31,0,'Ambiguous project'),
  (32,0,'Unknown project'),
  (33,0,'Client has 2 or more projects, can\'t auto-resolve'),
  (41,0,'Ambiguous job description'),
  (42,0,'Unknown job description'),
  (50,0,'Illegal amount'),
  (52,0,'Unknown amount'),
  (55,0,'Illegal amount: more than one \':\''),
  (56,0,'Illegal amount: more than one \'.\''),
  (57,0,'Illegal amount: minutes > 59'),
  (58,0,'Illegal amount: is 0.00'),
  (240,0,'Unable to scroll; history is empty'),
  (241,0,'Unable to scroll up; top of history is reached'),
  (242,0,'Unable to scroll down; bottom of history is reached'),
  (243,0,'Scrolled input line: press <enter> to submit'),
  (255,1,'Go ahead, enter more data');
    