# create_grave.sql
# this creates the data grave table where billed
# time or expenses eventually ends for storage.
# There are no links from this table to make it immune
# against later changes.
#
DROP TABLE IF EXISTS grave;
#
CREATE TABLE IF NOT EXISTS grave (
  number      INT NOT NULL DEFAULT 0 AUTO_INCREMENT,
  touched     TIMESTAMP,
  date        DATETIME NOT NULL,
  client      VARCHAR(255) DEFAULT '' NOT NULL,
  address     VARCHAR(255) DEFAULT '' NOT NULL,
  project     VARCHAR(255) DEFAULT '' NOT NULL,
  staffmember VARCHAR(255) DEFAULT '' NOT NULL,
  jobdescr    VARCHAR(255) DEFAULT '' NOT NULL,
  jobremark   VARCHAR(255) DEFAULT '' NOT NULL,
  metric      VARCHAR(255) DEFAULT '' NOT NULL,
  unitprice   DECIMAL(10,2) NOT NULL,
  factor      DECIMAL(10,2) NOT NULL,
  jobtime     DECIMAL(10,2) NOT NULL,
  expense     DECIMAL(10,2) NOT NULL,
  tariff      DECIMAL(10,2) NOT NULL,
  vatrate     DECIMAL(10,2) NOT NULL,
  price       DECIMAL(10,2) NULL,
  vat         DECIMAL(10,2) NULL,
  total       DECIMAL(10,2) NULL,
  billed      TINYINT UNSIGNED DEFAULT 0 NOT NULL,
  PRIMARY KEY (number)
) TYPE = MYISAM;

