#
# number    is our AUTO_INCREMENT(ing) primary key
# touched   is the date when this field was created or changed
# staffnick is a nickname of the staff member
# staffname is the name of the staff member
# user      is the user creating this staff entry
# tariff    is the hourly  rate applied as a default for this staff
#
DROP TABLE IF EXISTS staff;
CREATE TABLE IF NOT EXISTS staff (
  number INT NOT NULL DEFAULT 0 AUTO_INCREMENT,
  touched TIMESTAMP,
  staffnick VARCHAR(255) DEFAULT '' NOT NULL,
  staffname VARCHAR(255) DEFAULT '' NOT NULL,
  user VARCHAR(255) DEFAULT '' NOT NULL,
  tariff DECIMAL(10,2) DEFAULT NULL,
  PRIMARY KEY (number),
  KEY (user)
) TYPE = MYISAM;

INSERT INTO staff SET staffnick='Thomi', staffname='Thomas Spahni',
user='tsp', tariff=NULL;

INSERT INTO staff SET staffnick='Regi', staffname='Regula Hsser',
user='rhu', tariff='0.00';

INSERT INTO staff SET staffnick='Peter', staffname='Peter Stein',
user='pst', tariff=NULL;

INSERT INTO staff SET staffnick='Baby', staffname='Edina Hasic',
user='eha', tariff='0.00';

INSERT INTO staff SET staffnick='Raoul', staffname='Raoul Sidler',
user='rsi', tariff=NULL;

