# note: do not place a primary key on timelog
#       when another user inserts data this column is not unique!
#
CREATE TABLE IF NOT EXISTS timebill (
  tbid        INT NOT NULL AUTO_INCREMENT PRIMARY KEY,
  procid      INT DEFAULT 0 NOT NULL,
  timelog     INT DEFAULT 0 NOT NULL,
  date        DATETIME NOT NULL,
  staffmember CHAR(255) DEFAULT '' NOT NULL,
  project     CHAR(255) DEFAULT '' NOT NULL,
  jobcode     CHAR(255) DEFAULT '' NOT NULL,
  jobremark   CHAR(255) DEFAULT '' NOT NULL,
  jobtime     DECIMAL(10,2) DEFAULT 0 NOT NULL,
  staffrate   DECIMAL(10,2) DEFAULT NULL,
  projrate    DECIMAL(10,2) DEFAULT 0 NOT NULL,
  expense     DECIMAL(10,2) DEFAULT 0 NOT NULL,
  metric      CHAR(255) DEFAULT '' NOT NULL,
  unitprice   DECIMAL(10,2) DEFAULT 0 NOT NULL,
  factor      DECIMAL(10,2) DEFAULT 0 NOT NULL,
  vatrate     DECIMAL(10,2) DEFAULT 0 NOT NULL,
  price       DECIMAL(10,2) DEFAULT 0 NOT NULL,
  vatamount   DECIMAL(10,2) DEFAULT 0 NOT NULL,
  total       DECIMAL(10,2) DEFAULT 0 NOT NULL,
  billed      TINYINT UNSIGNED DEFAULT 0 NOT NULL,
  KEY (procid,timelog)
) TYPE = HEAP;

